MyGUI::ImageIndexInfo Struct Reference

`#include <MyGUI_ImageInfo.h>`

## Public Member Functions

| ImageIndexInfo (std::string_view _texture, const IntSize &_size, const float _rate, const std::vector< IntPoint > &_frames)

## Data Fields

std::string_view | texture
const IntSize & | size
const float | rate
const std::vector< IntPoint > & | frames

## Detailed Description

Definition at line 24 of file MyGUI_ImageInfo.h.

## Constructor & Destructor Documentation

## ImageIndexInfo()

MyGUI::ImageIndexInfo::ImageIndexInfo | ( | std::string_view | _texture,
|  | const IntSize & | _size,
|  | const float | _rate,
|  | const std::vector< IntPoint > & | _frames )

inline

Definition at line 27 of file MyGUI_ImageInfo.h.

## Field Documentation

## frames

const std::vector<IntPoint>& MyGUI::ImageIndexInfo::frames

Definition at line 43 of file MyGUI_ImageInfo.h.

## rate

const float MyGUI::ImageIndexInfo::rate

Definition at line 42 of file MyGUI_ImageInfo.h.

## size

const IntSize& MyGUI::ImageIndexInfo::size

Definition at line 41 of file MyGUI_ImageInfo.h.

## texture

std::string_view MyGUI::ImageIndexInfo::texture

Definition at line 40 of file MyGUI_ImageInfo.h.

The documentation for this struct was generated from the following file:

- MyGUI_ImageInfo.h